<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/FormasPagamentosModel.php';
require_once '../Class/controller/FormasPagamentosControl.php';

$control = new FormasPagamentosControl();
$model = new FormasPagamentosModel();

$control->setAction();
$control->setId();

$action = $control->getAction();
$id = $control->getId();

//LoadDados
if ($id > 0)
{
	$model->load($id);
}

if($action == 'save')
{
	try 
	{
		$control->GetData();
		header( 'Location: formapagamentos.php' );
	}
	catch(Exception $err)
	{
		echo "<script>alert('Ocorreu um problema ao salvar o registro.');</script>";
	}		
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>
<script src="js/formapagamentos.js" type="text/javascript"></script>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Cadastro de Formas de Pagamento</div>

<form id="frmRegister" method="post" action=""><input type="hidden"
	id="hdnAction" name="action" value="save" /> <input type="hidden"
	id="hdnId" name="Id" value="<?php echo $model->getId();?>" />

<table border="0" cellpadding="3" cellspacing="0" class="tblGeral"
	width="100%">
	<tr>
		<td><span class="title">Forma de pagamento:</span></td>
		<td><input type="text" id="nome" name="nome" class="content-data"
			style="width: 300px;" value="<?php echo $model->getNome();?>" /></td>
	</tr>
	<tr>
		<td><span class="title">Status:</span></td>
		<td><select id="status" name="status" class="content-data">
		<?php 

		$selectAtivo = '';
		$selectInativo = '';
		
		
		if ($model->getStatus() == 1)
		{
			$selectAtivo = 'selected=selected';
		}
		else
		{
			$selectInativo = 'selected=selected';
		}
	
		echo '<option value="1" '.$selectAtivo.'>Ativo</option>';
		echo '<option value="0" '.$selectInativo.'>Inativo</option>';
		?>
		</select></td>
	</tr>
</table>

<div id="pBotoes" style="text-align: right"><span>&nbsp;</span> <br />
<input type="submit" id="btnSalvar" name="btnSalvar" class="submit" value="Salvar" /> <input
	type="button" name="btnCancelar" class="submit" value="Cancelar"
	onclick="window. location.href='tiporecebimentos.php'" /></div>

</form>

</div>

</div>

</div>

<?php include_once('controls/footer.php'); ?>

</body>
</html>
